Skip to main content
GET
/
api
/
v2
/
orders
cURL
curl --request GET \
  --url https://take.app/api/v2/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "number": "<string>",
      "payment_method": "<string>",
      "remark": "<string>",
      "internal_note": "<string>",
      "customer": {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "zip": "<string>",
          "country": "<string>",
          "latitude": 123,
          "longitude": 123
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "line_items": [
        {
          "id": "<string>",
          "product_id": "<string>",
          "variant_id": "<string>",
          "name": "<string>",
          "sku": "<string>",
          "quantity": 123,
          "quantity_float": 123,
          "unit": "<string>",
          "unit_value": 123,
          "price": 123,
          "total_amount": 123,
          "options": [
            {
              "question_id": "<string>",
              "question_text": "<string>",
              "question_type": "<string>",
              "answers": [
                "<string>"
              ],
              "prices": [
                123
              ],
              "option_ids": [
                "<string>"
              ],
              "text": "<string>",
              "image_urls": [
                "<string>"
              ]
            }
          ],
          "image_urls": [
            "<string>"
          ]
        }
      ],
      "answers": [
        {
          "id": "<string>",
          "question_id": "<string>",
          "question_text": "<string>",
          "answers": [
            "<string>"
          ],
          "prices": [
            123
          ],
          "option_ids": [
            "<string>"
          ],
          "image_urls": [
            "<string>"
          ]
        }
      ],
      "discounts": [
        {
          "id": "<string>",
          "name": "<string>",
          "amount": 123,
          "type": "<string>"
        }
      ],
      "service": {
        "title": "<string>",
        "name": "<string>",
        "price": 123,
        "distance": 123,
        "distance_unit": "<string>"
      },
      "schedule": {
        "date": "2023-11-07T05:31:56Z",
        "time": "2023-11-07T05:31:56Z",
        "time_end": "2023-11-07T05:31:56Z",
        "timezone": "<string>"
      },
      "items_quantity": 123,
      "items_amount": 123,
      "answers_amount": 123,
      "discounts_amount": 123,
      "service_amount": 123,
      "service_charge_amount": 123,
      "tip_amount": 123,
      "adjustment_amount": 123,
      "total_before_tax": 123,
      "tax_amount": 123,
      "total_amount": 123,
      "currency": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://platform.take.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
cursor
string
created_after
string<date-time>
created_before
string<date-time>
updated_after
string<date-time>
updated_before
string<date-time>
order_status
enum<string>
Available options:
draft,
pending,
confirmed,
completed,
cancelled
payment_status
enum<string>
Available options:
pending,
confirming,
partial,
paid,
refunded,
voided
fulfillment_status
enum<string>
Available options:
unfulfilled,
ready,
in_transit,
out_for_delivery,
fulfilled,
partially_fulfilled

Response

List of orders

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required